//
//  KsClient.h
//  KsIMSDK
//
//  Created by chenshengji on 16/9/24.
//  Copyright © 2016年 chenshengji. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "KsEcv.h"
#import "KsEcg.h"
#import "KsEco.h"
#import "KsResponse.h"
typedef void(^KsCallback)(KsResponse *response);
@interface KsClient : NSObject

+ (instancetype)sharedInstance;

-(void)setProductSite;
-(void)setTestSite;
-(void)setTkfSite;
-(void)setDkfSite;
-(NSInteger)getHostType;
-(void)initBlocInfo:(NSString *)blocAppKey response:(KsCallback)response;
-(void)getAppKeysWithCompId:(NSString *)compId response:(KsCallback)response;
- (void)initSdk:(NSString *)appKey compId:(NSString *)compId response:(KsCallback)response;
- (void)initSdkBatch:(NSArray* )appKeyAndCompIdList response:(KsCallback)response;
- (void)openSessionWithAppKey:(NSString *)appKey;
- (void)openConversation;
- (void)openConversationWithCompId:(NSString*)compId;
- (BOOL)getOpenConversationWithCompId:(NSString *)compId;
- (void)closeSession;
- (void)closeSession:(NSString *)compId;
- (BOOL)isOpen;
- (void)bindVip:(KsEcv *)ecv response:(KsCallback)response;
- (void)bindVipBatch:(KsEcv*)ecv response:(KsCallback)response;
- (void)goodsTrack:(KsEcv *)ecv ksEcg:(KsEcg *)ecg response:(KsCallback)response;
- (void)goodsTrack:(KsEcv *)ecv ksEcg:(KsEcg *)ecg compId:(NSString *)compId response:(KsCallback)response;
- (void)goodsConsult:(KsEcv *)ecv ksEcg:(KsEcg *)ecg compId:(NSString *)compId response:(KsCallback)response;
- (void)goodsConsult:(KsEcv *)ecv ksEcg:(KsEcg *)ecg response:(KsCallback)response;
- (void)placeOrder:(KsEcv *)ecv ksEco:(KsEco *)eco response:(KsCallback)response;
-(void)placeOrder:(KsEcv *)ecv ksEco:(KsEco *)eco compId:(NSString *)compId response:(KsCallback)response;
-(void)updateOrderStatus:(KsEcv *)ecv ksEco:(KsEco *)eco response:(KsCallback)response;
-(void)updateOrderStatus:(KsEcv *)ecv ksEco:(KsEco *)eco compId:(NSString *)compId response:(KsCallback)response;
-(NSArray *)queryAllRecordGroupByCompIdLimitPageSize:(NSInteger)page size:(NSInteger)size;
- (void)pushChatViewOnViewController:(UIViewController *)viewController;
- (void)popChatViewController;
-(void)sendGoodsInfo:(NSString *)goodsId response:(KsCallback)response;
- (void)openConversationDialog:(UIViewController *)controller;
- (void)pushChatListOnViewController:(UIViewController *)viewController;
- (UIViewController *)getChatListController;

@end
